/*
 * Copyright (C) 2016 Google Inc. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.cast.sample.expandedcontrols;

import android.view.Menu;

import com.akamai.cast.ChromecastAmp;
import com.akamai.cast.activity.CastAmpExpandedControllerActivity;
import com.cast.sample.R;


/**
 * An example of extending {@link CastAmpExpandedControllerActivity} to add a cast button.
 */
public class ExpandedControlsActivity extends CastAmpExpandedControllerActivity {

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        super.onCreateOptionsMenu(menu);
        getMenuInflater().inflate(R.menu.expanded_controller, menu);
        ChromecastAmp.createMenuItem(this, menu, R.id.media_route_menu_item);
        return true;
    }
}